summaryrefslogtreecommitdiffstats
path: root/.local
diff options
context:
space:
mode:
Diffstat (limited to '.local')
-rwxr-xr-x.local/bin/i3cmds/toggle-welcome2
-rwxr-xr-x.local/bin/queueandnotify2
-rwxr-xr-x.local/bin/statusbar/weather10
3 files changed, 7 insertions, 7 deletions
diff --git a/.local/bin/i3cmds/toggle-welcome b/.local/bin/i3cmds/toggle-welcome
index 715db09..d8cc0ef 100755
--- a/.local/bin/i3cmds/toggle-welcome
+++ b/.local/bin/i3cmds/toggle-welcome
@@ -2,7 +2,7 @@
# Toggles the LARBS welcome message.
-PIC="$HOME/.local/share/larbs/larbs.png"
+PIC="$XDG_DATA_HOME/larbs/larbs.png"
grep LARBSWELCOME "$HOME/.xprofile" &&
( sed -i "/LARBSWELCOME/d" ~/.xprofile && notify-send -i "$PIC" "LARBS welcome message" "Welcome message disabled. Press Super+Shift+F1 again to reverse." ) ||
diff --git a/.local/bin/queueandnotify b/.local/bin/queueandnotify
index 867b15e..24746c8 100755
--- a/.local/bin/queueandnotify
+++ b/.local/bin/queueandnotify
@@ -3,7 +3,7 @@
# Podboat sucks. This script replaces it.
# It reads the newsboat queue, queuing downloads with taskspooler.
# It also removes the junk from extentions.
-queuefile="$HOME/.local/share/newsboat/queue"
+queuefile="$XDG_DATA_HOME/newsboat/queue"
while read -r line; do
[ -z "$line" ] && continue
diff --git a/.local/bin/statusbar/weather b/.local/bin/statusbar/weather
index 285ac91..bc9f20c 100755
--- a/.local/bin/statusbar/weather
+++ b/.local/bin/statusbar/weather
@@ -1,13 +1,13 @@
#!/bin/sh
getforecast() { ping -q -c 1 1.1.1.1 >/dev/null || exit 1
-curl -sf "wttr.in/$LOCATION" > "$HOME/.local/share/weatherreport" || exit 1 ;}
+curl -sf "wttr.in/$LOCATION" > "$XDG_DATA_HOME/weatherreport" || exit 1 ;}
-showweather() { printf "%s" "$(sed '16q;d' "$HOME/.local/share/weatherreport" | grep -wo "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g" | tr -d '\n')"
-sed '13q;d' "$HOME/.local/share/weatherreport" | grep -o "m\\(-+\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
+showweather() { printf "%s" "$(sed '16q;d' "$XDG_DATA_HOME/weatherreport" | grep -wo "[0-9]*%" | sort -n | sed -e '$!d' | sed -e "s/^/☔ /g" | tr -d '\n')"
+sed '13q;d' "$XDG_DATA_HOME/weatherreport" | grep -o "m\\(-+\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
case $BLOCK_BUTTON in
- 1) $TERMINAL -e less -Srf "$HOME/.local/share/weatherreport" ;;
+ 1) $TERMINAL -e less -Srf "$XDG_DATA_HOME/weatherreport" ;;
2) getforecast && showweather ;;
3) pgrep -x dunst >/dev/null && notify-send "🌈 Weather module" "\- Left click for full forecast.
- Middle click to update forecast.
@@ -16,7 +16,7 @@ case $BLOCK_BUTTON in
🌞: Daily high" ;;
esac
-if [ "$(stat -c %y "$HOME/.local/share/weatherreport" 2>/dev/null | awk '{print $1}')" != "$(date '+%Y-%m-%d')" ]
+if [ "$(stat -c %y "$XDG_DATA_HOME/weatherreport" 2>/dev/null | awk '{print $1}')" != "$(date '+%Y-%m-%d')" ]
then getforecast && showweather
else showweather
fi